### Enumeration

# WebKit2 ScriptDialogType

unstable since: 4.1

#### Declaration

    enum WebKit2.ScriptDialogType

#### Description [src]

Enum values used for determining the type of `WebKitScriptDialog`.

Available since: 4.1

#### Members

`WEBKIT_SCRIPT_DIALOG_ALERT`

  Alert script dialog, used to show a message to the user.

  - Value: `0`
  - Nickname: `alert`
  - Available since: 4.1
`WEBKIT_SCRIPT_DIALOG_CONFIRM`

  Confirm script dialog, used to ask confirmation to the user.

  - Value: `1`
  - Nickname: `confirm`
  - Available since: 4.1
`WEBKIT_SCRIPT_DIALOG_PROMPT`

  Prompt script dialog, used to ask information to the user.

  - Value: `2`
  - Nickname: `prompt`
  - Available since: 4.1
`WEBKIT_SCRIPT_DIALOG_BEFORE_UNLOAD_CONFIRM`

  Before unload confirm dialog, used to ask confirmation to leave the current page to the user. Since 2.12

  - Value: `3`
  - Nickname: `before-unload-confirm`
  - Available since: 4.1